# Uses of Class
javafx.scene.control.TextFormatter

Packages that use TextFormatter
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of TextFormatter in javafx.scene.control

Methods in javafx.scene.control that return TextFormatter
Modifier and Type
Method
Description
`final TextFormatter<?>`
TextInputControl.`getTextFormatter()`
Gets the value of the `textFormatter` property.
Methods in javafx.scene.control that return types with arguments of type TextFormatter
Modifier and Type
Method
Description
`final ObjectProperty<TextFormatter<?>>`
TextInputControl.`textFormatterProperty()`
The property contains currently attached `TextFormatter`.
Methods in javafx.scene.control with parameters of type TextFormatter
Modifier and Type
Method
Description
`final void`
TextInputControl.`setTextFormatter(TextFormatter<?> value)`
Sets the value of the `textFormatter` property.